package model.Americas

import androidx.collection.scatterSetOf
import model.Recipe
import model.TagType
import recipeappkmp.shared.generated.resources.Chicken_And_Waffles
import recipeappkmp.shared.generated.resources.Res
import recipeappkmp.shared.generated.resources.SCPBP
import recipeappkmp.shared.generated.resources._10_strawberries
import recipeappkmp.shared.generated.resources.chicken_and_dumplings
import kotlin.time.Duration

val americanList = listOf(
    Recipe(
        title = "Chicken & Waffles",
        description = "Southern Fried Chicken served on a Buttermilk Waffle, drenched in a hot Honey Butter.",
        ingredients = listOf(
            "8 Chicken Breasts",
            "8 Waffles",

            "HEADER-Buttermilk Brine",
            "2 Cups (480 mL) Buttermilk",
            "1 Tbsp Kosher Salt",
            ".5 Tbsp Garlic Powder",
            ".5 Tbsp Onion Powder",
            "1 Tbsp Hot Sauce or Chili Powder",
            "1 Tsp Smoked Paprika",

            "HEADER-Flour Crust",
            "3 Cups (384 g) Flour",
            ".33 Cup (43 g) Cornstarch",
            "2 Tsp Baking Powder",
            "2 Tsp Garlic Powder",
            "2 Tsp Onion Powder",
            "2 Tsp Kosher Salt",
            "2 Tsp freshly cracked Black Pepper",

            "HEADER-Spicy Honey Butter",
            ".25 Cup (85 g)Honey",
            ".5 Tsp Chili Powder",
            "4 Tbsp (57 g) Unsalted Butter",
            ".5 Tsp Kosher Salt",
        ),
        instructions = listOf(
            "Whisk the Buttermilk [2 Cups], Kosher Salt [1 Tbsp], Garlic Powder [.5 Tbsp], Onion Powder [.5 Tbsp], Hot Sauce [1 Tbsp], and Smoked Paprika" +
                    " [1 Tsp] together in a large mixing bowl.",
            "Add the Chicken Breast [8] to the bowl, making sure every piece is covered in the Brine. Cover the bowl and let the Chicken marinate in the " +
                    "Buttermilk Brine from 1 hour to overnight in the fridge.",
            "In a dutch oven pot, heat up about half the pot's worth of Vegetable Oil. Allow the Oil to reach 350 degrees F.",
            "While the Oil is heating up, in a mixing bowl whisk together Flour [3 Cups], Cornstarch [.333 Cup], Baking Powder [2 Tsp], and Seasonings. Take " +
                    "each Chicken piece from the Brine and dredge into the seasoned Flour. Thoroughly coat the Chicken all over, then let rest on a plate for " +
                    "five minutes before frying.",
            "Fry the Chicken in the hot Oil (no more than about 4 per batch) until golden brown, crispy, and cooked through completely, about 8-9 minutes.",
            "Carefully take the Chicken out of the oil and place them on a baking sheet fitted with a wire rack and let cool slightly before serving. Repeat " +
                    "until all the Chicken is fried.",
            "In a small saucepan, melt butter over medium heat with honey, chili powder, and kosher salt. Whisk well until the mixture is incorporated and " +
                    "homogenized.",
            "Lower the temperature to 'warm/low' heat and keep for serving. [Make sure to keep warm, as sauce will solidify very quickly]",
            "Make the Belgian Waffles and serve the Chicken on top of the waffles, then drizzle generously with Spicy Honey Butter Sauce.",
            ),
        tags = mapOf(
                "American" to TagType.CUISINE,
                "Entree" to TagType.COURSE,
                "Spicy" to TagType.FLAVOUR,
                "Savory" to TagType.FLAVOUR,
                "Fried" to TagType.TECHNIQUE,
                "Carnivorous" to TagType.CUISINE,
        ),
        image = Res.drawable.Chicken_And_Waffles,
        cookTime = Duration.parse("20m"),
        prepTime = Duration.parse("8h"),
    ),

    Recipe(
        title = "Ragin' Cajun Pasta",
        description = "Short Pasta in a Creamy Cajun Wine and Tomato Sauce.",
        ingredients = listOf(
            "1 lb Pasta",
            "2 Cups White Wine",
            "1 Cup Heavy Cream",
            "2 Tbsp Tomato Paste",
            "1 Tbsp Garlic Powder",
            "2 Tsp Onion Powder",
            "2 Tbsp Cajun Spice",
            "2 Tsp Paprika",
            "1 cap Lemon Juice",
            "2 Tbsp Flour",
            "2 Tbsp Butter",
        ),
        instructions = listOf(
            "Cook Pasta to al dente.",
            "In a saucepan, melt Butter [2 Tbsp], then add Flour [2 Tbsp].",
            "Add White Wine [2 Cups], reduce.",
            "Add Cream [1 Cup] and Tomato Paste [2 Tbsp], reduce.",
            "Add Onion [2 Tsp], Garlic [1 Tbsp], Cajun [2 Tbsp], and Paprika [2 Tsp] Powders",
            "Stir in Pasta",
        ),
        prepTime = Duration.parse("20m"),
        cookTime = Duration.parse("30m"),
        tags = mapOf(
            "American" to TagType.CUISINE,
            "Cajun" to TagType.CUISINE,
            "Entree" to TagType.COURSE,
            "Creamy" to TagType.FLAVOUR,
            "Savory" to TagType.FLAVOUR,
            "Spicy" to TagType.FLAVOUR,
            "Saucier" to TagType.TECHNIQUE,
            "Sauce" to TagType.COURSE,
            "Vegetarian" to TagType.CUISINE,
        ),
        image = Res.drawable._10_strawberries,
        servings = "Makes Pasta for 4"
    ),

    Recipe(
        title = "Midnight Garlic Noodles",
        description = "Garlicky, Oily, Rich Umami Noodles",
        ingredients = listOf(
            "Sea Salt",
            "12 Ounces Wheat Pasta",
            "2 Tbsp Burnt Miso",
            "15 Cloves Garlic Confit",
            "2 Tbsp Garlic Oil",
            "1 Tbsp Unsalted Butter",
            "Fleur de Sel",
            "Parmesan Cheese",
        ),
        instructions = listOf(
            "Cook Pasta [12 Ounces] to al dente",
            "Run Burnt Miso [2 Tbsp], Garlic [15 Cloves], and Garlic Oil [1 Tbsp] in blender until smooth.",
            "Add Butter [1 Tbsp] and [.25 Cups] of Pasta Water, blend again.",
            "Heat Garlic Oil [1 Tbsp] in a skillet. Add the Garlic-Miso Sauce from above. Use tongs to transfer Pasta directly to the skillet.",
            "Season with Fleur de Sel and cover with Parmesan Cheese",
        ),
        tags = mapOf(
            "American" to TagType.CUISINE,
            "Entree" to TagType.COURSE,
            "Umami" to TagType.FLAVOUR,
            "Savory" to TagType.FLAVOUR,
            "Vegetarian" to TagType.CUISINE,
        ),
        prepTime = Duration.parse("10m"),
        cookTime = Duration.parse("15m"),
        image = Res.drawable._10_strawberries,
        servings = "Makes 2 Bowls"
    ),

    Recipe(
        title = "Burnt Miso",
        description = "Bitter and Sweet, Burnt Miso adds a complex layer to Umami dishes.",
        prepTime = Duration.parse("5m"),
        cookTime = Duration.parse("30m"),
        ingredients = listOf(
            "Miso Paste"
        ),
        instructions = listOf(
            "Preheat oven to 400F",
            "Spread as much Miso as you want to burn in a 1/2 inch thick layer on parchment paper on a baking sheet.",
            "Bake for 30 Minutes or until charred.",
            "Blend when using."
        ),
        tags = mapOf(
            "American" to TagType.CUISINE,
            "Ingredient" to TagType.COURSE,
            "Bitter" to TagType.FLAVOUR,
            "Sweet" to TagType.FLAVOUR,
            "Baked" to TagType.TECHNIQUE,
            "Vegan" to TagType.CUISINE,
        ),
        image = Res.drawable._10_strawberries
    ),

    Recipe(
        title = "Chicken and Dumpling Soup",
        description = "Southern Style Chicken and Biscuits in Soup.",
        prepTime = Duration.parse("20m"),
        cookTime = Duration.parse("40m"),
        servings = "6 People",
        ingredients = listOf(

            "HEADER-Soup",
            "1 Tbsp Olive Oil",
            "2 lbs Chicken Breast",
            "5 Tbsp Butter",
            "1 Yellow Onion, diced",
            "1 Cup Carrot, diced",
            "2 Sticks Celery, diced",
            "3 Cloves Garlic",
            "1 Tsp Worcestershire Sauce",
            "1 Tsp Hot Sauce",
            ".33 Cup Flour",
            "4.5 Cups Chicken Broth",
            "1.5 Cups Half and Half",
            ".75 Cup Peas",

            "HEADER-Seasonings",
            "1 Tsp Onion Powder",
            ".5 Tsp Basil",
            ".5 Tsp Parsley",
            ".5 Tsp Thyme",
            ".5 Tsp Rosemary",
            ".5 Tsp Mustard Powder",

            "HEADER-Dumplings",
            "2 Cups Cake Flour",
            "2 Tsp Baking Powder",
            ".5 Tsp Baking Soda",
            "1 Tsp Salt",
            ".5 Tsp Garlic Powder",
            "2 Tsp Sugar",
            ".75 Cup Cold Sour Cream",
            ".25 Cup Cold Milk",
            "4 Tbsp Butter, Melted",

        ),
        instructions = listOf(
            "HEADER-Prep",
            "Cook the Chicken however you prefer. Season to taste and shred.",
            "Combine All from Seasonings and Set Aside",

            "HEADER-Soup",
            "Melt the Butter [5 Tbsp] in a large pot. Add the Onions, Carrots, and Celery and cook for about 5 minutes.",
            "Add the Garlic [3 Cloves], Worcestershire Sauce [1 Tsp], Hot Sauce [1 Tsp], and the Seasonings, and cook for another minute.",
            "Add the Flour [.33 Cups] and toss to coat. Cook for another 2 minutes.",
            "Add the Chicken Broth [4.5 Cups] and stir thoroughly. Add the Half and Half [1.5 Cups].",
            "Add the Peas [.75 Cups] and bring to a boil. Simmer while you make the Dumplings.",

            "HEADER-Dumplings",
            "Combine Cake Flour [2 Cups], Baking Powder [2 Tsp], Salt [1 Tsp], Garlic Powder[.5 Tsp], and Sugar[2 Tsp] in a bowl.",
            "Add Milk [.25 Cups], Sour Cream [.75 Cups], and Melted Butter [4 Tbsp] to the bowl and fold into a light dough.",
            "(At this point, you should add the Chicken into the Soup.)",
            "Using a Scoop, take a ball of Dumpling Dough and drop it into the Soup. Ladle a bit of liquid over each.",
            "Cover and Simmer for 15 minutes, or until everything is cooked through.",
        ),
        tags = mapOf(
            "American" to TagType.CUISINE,
            "Soup" to TagType.COURSE,
            "Savory" to TagType.FLAVOUR,
            "Creamy" to TagType.FLAVOUR,
            "Carnivorous" to TagType.CUISINE,
        ),
        image = Res.drawable.chicken_and_dumplings,
    ),
    
    Recipe(
        title = "Spicy Chicken Pretzel Bacon Pub Sandwich",
        description = "Spicy Chicken Cutlets on a Pretzel Bun with Bacon, Muenster, Beer Cheese, and Onion Tangles. See Linked Recipes for Ingredients",
        prepTime = Duration.INFINITE,
        cookTime = Duration.INFINITE,
        servings = "Makes Six Sandwiches",
        ingredients = listOf(
            "6 Pretzel Buns (Recipe Included)",
            "6 Chicken Cutlets (Recipe Included)",
            "4 Cups Beer Cheese (Recipe Included)",
            "2 Cups Onion Tangles (Recipe Included)",
            "6 Slices Muenster Cheese",
            "6 Slices Bacon",
            "Honey Mustard",
        ),
        instructions = listOf(

            "HEADER-Prep",
            "Start by making the Pretzel Buns, if making from scratch",
            "Prep the Onions and Chicken while the Pretzel Dough is rising.",
            "When Pretzels enter the Oven, make the Cheese Sauce, Bacon, and Fry the Onion Tangles.",
            "When the Pretzels are about 10 minutes away from done, fry the Chicken",

            "HEADER-Assembly",
            "Slice Pretzel Bun in half. Layer 1 Chicken Cutlet, Honey Mustard to taste, then a slice of Bacon.",
            "Add some Onion Tangles, then a slice of Muenster Cheese. Toast, open faced, until Cheese melts.",
            "Top with Beer Cheese and top bun and Serve.",

        ),
        tags = mapOf(
            "Spicy" to TagType.FLAVOUR,
            "Creamy" to TagType.FLAVOUR,
            "American" to TagType.CUISINE,
            "Carnivorous" to TagType.CUISINE,
            "Entree" to TagType.COURSE,
        ),
        image = Res.drawable.SCPBP,
        linkedRecipes = SCPBP
        )
    )
