package model.Americas

import model.Recipe
import model.TagType
import recipeappkmp.shared.generated.resources.Res
import recipeappkmp.shared.generated.resources._10_strawberries
import kotlin.time.Duration


val SCPBP = listOf(
    Recipe(
        title = "Pretzel Buns",
        description = "Pretzels done in the style of Sandwich Buns.",
        prepTime = Duration.parse("1h 50m"),
        cookTime = Duration.parse("15m"),
        servings = "Makes 6 Buns",
        ingredients = listOf(
            "1.25 Cup Water, 110F",
            "1 Packet / 2.25 Tsp Active Dry Yeast",
            "1 Tsp Sugar",
            "3 Tbsp Butter, melted, cooled",
            "3.5 Cups Flour",
            "2 Tsp Salt",
            ".5 Cup Baking Soda",
            ".5 Tbsp Olive Oil"
        ),
        instructions = listOf(
            "In a Stand Mixer Bowl, Mix Together Water [1.25 Cup], Yeast [2.25 Tsp], and Sugar [1 Tsp]. Let Stand until Foamy, about 5 minutes.",
            "Mix in the Melted Butter [3 Tbsp], then slowly add in the Flour [3 Cups] and Salt [2 Tsp]. Mix with a Dough Hook on Low for 2-3 Minutes until dough forms. " +
                    "Adjust as necessary with more Water or Flour.",
            "Knead the Dough with the hook on medium for another 5 minutes.",
            "Transfer the Dough to an Oiled Bowl and let rise for 1 hour.",
            "Punch the Dough. Knead for another 2 minutes, then divide into [6] Equal Portions. Shape into a Bun, then cover and let rise another 30 minutes",
            "Preheat the Oven to 425F. Bring a Quart of Water for every [.5 Cup] of Baking Soda to a Boil.",
            "Bathe the Pretzels 30s per side, then arrange on a parchment lined baking tray. Score the top of each.",
            "Top with Course Salt (optional) and Bake for 10-15 minutes.",

        ),
        tags = mapOf(
            "Vegetarian" to TagType.CUISINE,
            "German" to TagType.CUISINE,
            "American" to TagType.CUISINE,
            "Bread" to TagType.COURSE,
        ),
        image = Res.drawable._10_strawberries,
    ),
    Recipe(
        title = "Spicy Chicken Cutlets",
        description = "Spicy, Breaded, American style Chicken Cutlet.",
        prepTime = Duration.parse("4h"),
        cookTime = Duration.parse("10m"),
        servings = "Makes 6 Cutlets",
        ingredients = listOf(
            "6 Chicken Cutlets",
            ".75 Cups Buttermilk",
            "1.5 Tbsp Tabasco",
            ".75 Cup Breadcrumbs",
            ".75 Cup Crushed Cornflakes",
            ".75 Tsp Paprika",
            ".5 Tsp Cayenne",
            ".75 Tsp Salt",
            ".75 Tsp Pepper",
            "Oil to Fry",
        ),
        instructions = listOf(
            "Soak Chicken [6] in Buttermilk [.75 Cups] and Tabasco [1.5 Tbsp] for 4 hours.",
            "Mix Breadcrumbs [.75 Cup], Cornflakes [.75 Cup], Paprika [.75 Tsp], Cayenne [.5 Tsp], Salt [.75 Tsp], and Pepper [.75 Tsp] in a large bowl",
            "Drain Chicken and Dredge in the Breadcrumb Mixture. Return to Buttermilk briefly, then Cover again in Breadcrumb Mixture.",
            "Heat 2 Tbsp of Oil in a large skillet. Fry Chicken in a single layer about 5 minutes per side.",
        ),
        tags = mapOf(
            "Carnivorous" to TagType.CUISINE,
            "American" to TagType.CUISINE,
            "Spicy" to TagType.FLAVOUR,
            "Fried" to TagType.TECHNIQUE,
        ),
        image = Res.drawable._10_strawberries,
    ),
    Recipe(
        title = "Beer Cheese",
        description = "Creamy melted Cheese and Beer creates a Tangy, delicious sauce.",
        prepTime = Duration.parse("10m"),
        cookTime = Duration.parse("20m"),
        servings = "Makes about 4 Cups",
        ingredients = listOf(
            "4 Tbsp Butter",
            "1 Small Onion, fine diced",
            "4 Tbsp Flour",
            "2 Cups Light Beer",
            "1.5 Cups Heavy Cream",
            "2 Cloves Garlic, Grated",
            "Salt and Pepper to Taste",
            "6 Oz Sharp Cheddar, Grated",
            "6 Oz Swiss, Grated"
        ),
        instructions = listOf(
            "Melt Butter [4 Tbsp] in a large saucepan over medium. Add Onion [1] and cook until softened, 2-3 minutes.",
            "Add Flour [4 Tbsp] and stir to a Roux. Let it start to Brown, about 2 minutes.",
            "Whisk in Beer [2 Cups] until Smooth.",
            "Simmer out the alcohol, about 5 minutes.",
            "Add Cream [1.5 Cups] and Garlic [2 Cloves], and stir frequently as sauce thickens, about 10 minutes.",
            "Remove from heat, season to taste, and stir in the Cheddar [6 oz] and Swiss [6oz] until completely melted.",
        ),
        tags = mapOf(
            "Vegetarian" to TagType.CUISINE,
            "Creamy" to TagType.FLAVOUR,
            "American" to TagType.CUISINE,
            "German" to TagType.CUISINE,
            "Sauce" to TagType.COURSE
        ),
        image = Res.drawable._10_strawberries,
    ),
    Recipe(
        title = "Onion Tangles",
        description = "Battered and Fried Onion slices. Chaotic Onion Rings.",
        prepTime = Duration.parse("10m"),
        cookTime = Duration.parse("15m"),
        servings = "Make 2 Cups",
        ingredients = listOf(
            "1.25 Cups Buttermilk",
            "2 Cups Thin Sliced Onion Halves",
            "1.5 Cups Flour",
            ".5 Tsp Salt",
            "Pepper to Taste",
            "3 cups Oil, for Frying",
        ),
        instructions = listOf(
            "Heat Frying Oil",
            "Cut Onions [2 Cups] into Crescents",
            "Soak Crescents in Buttermilk [1.25 Cups] for 10 minutes, tossing regularly.",
            "Drain the Buttermilk and add Flour [1.5 Cups], Salt [.5 Tsp], Pepper, tossing Onions until coated.",
            "Fry Battered Onions in batches until Golden Brown, about 5-7 minutes"
        ),
        tags = mapOf(
            "American" to TagType.CUISINE,
            "Vegetarian" to TagType.CUISINE,
            "Deep Fried" to TagType.TECHNIQUE,
        ),
        image = Res.drawable._10_strawberries,
    ),
)