package model.Asia

import model.Recipe
import model.TagType
import recipeappkmp.shared.generated.resources.Res
import recipeappkmp.shared.generated.resources._10_strawberries
import recipeappkmp.shared.generated.resources.chicken_and_dumplings
import recipeappkmp.shared.generated.resources.sesame
import recipeappkmp.shared.generated.resources.tso
import kotlin.time.Duration

val chineseList = listOf(
    Recipe(
        title = "Sweet & Sour Noodle Bowl",
        description = "Chinese Stir Fried Noodle Bowl with a Spicy Sweet & Sour Sauce.",
        prepTime = Duration.parse("10m"),
        cookTime = Duration.parse("15m"),
        servings = "3 Noodle Bowls",
        ingredients = listOf(
            "1 lb Wheat Noodles, cooked and drained",
            ".75 Cup Rice Wine Vinegar",
            ".5 Cup Honey",
            ".33 Cup Soy Sauce",
            "4 Tbsp Sesame Oil, divided",
            "2 Tbsp Lime Juice",
            "1 Tbsp Chili-Garlic Sauce",
            "1 to 2 Tsp Ground Ginger, to taste",
            "1 large Red Bell Pepper, trimmed, seeded, and sliced into thin strips",
            ".33 Cup Scallions (about 4), trimmed and sliced into thin rounds, plus more for garnishing",
            ".25 Cup fresh Cilantro Leaves, finely minced",
            "1 Tbsp Sesame Seeds, toasted if desired, optional for garnishing",
        ),
        instructions = listOf(
            "Cook Wheat Noodles. Drain and set aside.",
            "Add Rice Wine Vinegar [.75 Cup], Honey [.5 Cup], Soy [.33 Cup], Sesame Oil [2 Tbsp], Lime Juice [2 Tbsp], Chili Garlic Sauce [1 Tbsp]," +
                    " and Ginger [1.5 Tsp] to a bowl and whisk to combine. Set Aside.",
            "In a skillet, add Sesame Oil [2 Tbsp], Peppers, and cook until peppers are soft, about 5 minutes.",
            "Add the cooked Noodles, Sauce, and cook for about 2 minutes or warmed through. Toss Often until most of the sauce is absorbed.",
            "Garnish with Cilantro, Sesame Seeds, Scallions. Serve",
        ),
        tags = mapOf(
            "Chinese" to TagType.CUISINE,
            "Entree" to TagType.COURSE,
            "Stir Fried" to TagType.TECHNIQUE,
            "Spicy" to TagType.FLAVOUR,
            "Sweet" to TagType.FLAVOUR,
            "Sour" to TagType.FLAVOUR,
        ),
        image = Res.drawable._10_strawberries
    ),

    Recipe(
        title = "General Tso's",
        description = "Chinese Crispy, Spicy, and Savory fried and sauced Chicken",
        prepTime = Duration.parse("15m"),
        cookTime = Duration.parse("15m"),
        servings = "Serves 4",
        ingredients = listOf(

            "HEADER-Sauce/Marinade",
            "3 Tbsp Soy Sauce",
            "1 Tbsp Hoisin",
            "1 Tbsp Rice Vinegar",
            "2 Tsp Chilli Paste",
            "1 Tsp Sesame Oil",
            "3 Tbsp Brown Sugar",
            "1 Tbsp Cornstarch",
            ".75 Cup Chicken Broth",

            "HEADER-Chicken",
            "600g Protein, cut into bite sized pieces",
            "1 Tsp Ginger",
            "1 Tsp Garlic",
            "1 Cup Cornstarch",
            "1-3 Cups Oil for Frying",

            "HEADER-Stir Fry Sauce",
            "2 Tbsp Oil",
            "2 Tsp Ginger",
            "2 Cloves Garlic",
            ".5 Tsp Red Chilli Flakes",

            "HEADER-Garnishes",
            "Sesame Seeds",
            "Scallions",
        ),
        instructions = listOf(
            "HEADER-Marinade and Sauce",
            "Mix Soy [3 Tbsp], Hoisin [1 Tbsp], Vinegar [1 Tbsp], Chilli [2 Tsp], and Sesame Oil [1 Tsp]",
            "Take [2 Tbsp] of the Marinade to mix with the Protein. Add the Ginger [1 Tsp] and Garlic [1 Tsp] and Marinate for 30 minutes.",
            "For the rest of the Sauce, add Brown Sugar [3 Tbsp] and Cornstarch [1 Tbsp]. Mix, and then add Chicken Broth [.75 Cup]",

            "HEADER-Protein Fry",
            "Add Cornstarch [1 Cup] into the Marinade and toss to coat. Make sure to separate and fully coat each piece." +
                    " Shake off the excess. A colander or mesh strainer can help.",
            "Heat Oil to 350-370F",
            "Fry Protein until cooked through, and golden brown on the outside",

            "HEADER-Stir Fry",
            "Heat Oil [2 Tbsp] in a wok. Add Ginger [2 Tsp], Garlic [2 Cloves], and Chilli Flakes [.5 Tsp].",
            "Add Sauce and bring to a simmer. Stir until it thickens slightly, then add Protein and toss to coat.",
        ),
        tags = mapOf(
            "Chinese" to TagType.CUISINE,
            "Stir Fried" to TagType.TECHNIQUE,
            "Entree" to TagType.COURSE,
            "Savory" to TagType.FLAVOUR,
            "Spicy" to TagType.FLAVOUR,
        ),
        image = Res.drawable.tso,
    ),

    Recipe(
        title = "Sesame Chicken",
        description = "Chinese Deep Fried and Sauce Coated Savory Chicken with lots of Sesame.",
        prepTime = Duration.parse("10m"),
        cookTime = Duration.parse("20m"),
        servings = "Serves 5",
        ingredients = listOf(

            "HEADER-Marinade",
            "1 Egg White",
            "2 Tbsp Dark Soy",
            "2 Tbsp Shaoxing",
            "2 Tbsp Eighty Proof Vodka",
            ".25 Tsp Baking Soda",
            "3 Tbsp Cornstarch",
            "1 lb Protein of Choice, cut into bite sized pieces",

            "HEADER-Coating",
            ".5 Cup Flour",
            ".5 Cup Cornstarch",
            ".5 Tsp Baking Powder",
            ".5 Tsp Salt",

            "HEADER-Sauce",
            "3 Tbsp Dark Soy",
            "2 Tbsp Shaoxing",
            "2 Tbsp Rice Vinegar",
            "3 Tbsp Stock",
            "5 Tbsp Sugar",
            "2 Tsp Sesame Oil",
            "1 Tbsp Cornstarch",
            "2 Tsp Oil",
            "2 Tsp Garlic, Minced",
            "2 Tsp Ginger, Minced",
            "2 Tsp Scallion, Minced",
            "2 Tbsp Sesame Seeds",

            "HEADER-Finishing",
            "Oil for Deep Frying",
        ),
        instructions = listOf(

            "HEADER-Marinade",
            "In a medium bowl, beat Egg Whites [1] until foamy. Add Soy Sauce [2 Tbsp], Wine [2 Tbsp], and Vodka [2 Tbsp].",
            "Reserve Half of this Mixture.",
            "To the other half, add Baking Soda [.25 Tsp] and Cornstarch [3 Tbsp]. Add Protein [1 lb] and coat thoroughly. Cover and Set Aside.",

            "HEADER-Coating",
            "Combine Flour [.5 Cup], Cornstarch [.5 Cup], Baking Powder [.5 Tsp], and Salt [.5 Tsp]. Add the reserved Half of the Marinade." +
                    " Expect Coarse, Mealy clumps.",
            "At this point, begin Heating the Deep Frying Oil, about 350F.",

            "HEADER-Sauce",
            "Combine Soy Sauce [3 Tbsp], Wine [2 Tbsp], Vinegar [2 Tbsp], Stock [3 Tbsp], Sugar [5 Tbsp], Sesame Oil [2 Tsp], and Cornstarch [1 Tbsp]." +
                    " Set Aside.",
            "Combine Oil [2 Tsp], Garlic [2 Tsp], Ginger [2 Tsp], and Scallion [2 Tsp] in a Wok over medium. Cook for about 3 minutes.",
            "Add the Sauce, Stirring until it begins to thicken, about 1 minute, then remove from heat.",

            "HEADER-Fry",
            "Once the Oil is heated, begin coating the Protein. One at a time, toss thoroughly to coat in the Dry Mixture.",
            "Deep Fry in Batches until cooked through and golden brown.",
            "Once all the Protein has finished, add it to the Wok and return the heat. Toss everything and heat.",
        ),
        tags = mapOf(
            "Savory" to TagType.FLAVOUR,
            "Chinese" to TagType.CUISINE,
            "Stir Fried" to TagType.TECHNIQUE,
            "Entree" to TagType.COURSE,
            "Deep Fried" to TagType.TECHNIQUE,
            "Vegetarian" to TagType.CUISINE,
        ),
        image = Res.drawable.sesame,
    )
)